package org.dromara.system.service;

import org.dromara.common.core.domain.R;
import org.dromara.system.domain.RegisterSchool;
import org.dromara.system.domain.vo.RegisterSchoolVo;
import org.dromara.system.domain.bo.RegisterSchoolBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 注册-学校Service接口
 *
 * @author boman
 * @date 2023-08-16
 */
public interface IRegisterSchoolService {

    /**
     * 查询注册-学校
     */
    RegisterSchoolVo queryById(Long id);

    /**
     * 查询注册-学校列表
     */
    TableDataInfo<RegisterSchoolVo> queryPageList(RegisterSchoolBo bo, PageQuery pageQuery);

    /**
     * 查询注册-学校列表
     */
    List<RegisterSchoolVo> queryList(RegisterSchoolBo bo);

    /**
     * 新增注册-学校
     */
    R<RegisterSchoolVo> insertByBo(RegisterSchoolBo bo);

    /**
     * 修改注册-学校
     */
    Boolean updateByBo(RegisterSchoolBo bo);

    /**
     * 校验并批量删除注册-学校信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    R<Map<String, Object>> queryInfo(String phonenumber);
}
